using namespace System::Windows::Forms;
using namespace System::Drawing;
using namespace System::Collections;
using namespace System::Collections::Generic;
using namespace System;
#include "Graph.h"
#include "PlotUI.h"

namespace cs493
{

   void PlotUI::FileExit_Clicked(Object^ sender, EventArgs^ eventArg)
   {
      //Form^ myForm = dynamic_cast<Form^>(sender);
      Close();
   }

   Void PlotUI::FileOpen(Object^ sender, EventArgs^ eventArg)
   {
      OpenFileDialog^ myFiles = gcnew OpenFileDialog();

	  // Generates a "Modal" dialog box which prevents the users from doing anything
	  // else with the application until they are finished with this dialog.
      myFiles->ShowDialog();
	  // Access the selected file myFiles->FileName();
	  graph_->readDataFile(myFiles->FileName);
	  graph_->Invalidate();
   }

   PlotUI::PlotUI(int width, int height, Graph^ graph) : graph_(graph) 
   {
      Width = width;
      Height = height;
      mainMenu_ = gcnew MainMenu();

      // Add a menu item to the main menu called File
      MenuItem^ miFile = mainMenu_->MenuItems->Add("&File");

      // Add an item under "File"

      // Add "Open" under "File"
      miFile->MenuItems->Add(
	 gcnew MenuItem("&Open",
			gcnew EventHandler(this, &PlotUI::FileOpen),
			Shortcut::CtrlO));

      // Add "&Exit" under "File"
      miFile->MenuItems->Add(
	 gcnew MenuItem("&Exit",
			gcnew EventHandler(this, &PlotUI::FileExit_Clicked),
			Shortcut::CtrlX));

      Menu = mainMenu_;

	  graph_->Show(this);
   }
}

